from django.shortcuts import render, redirect
from django.urls import reverse
from django.views.decorators.http import require_safe
import django.contrib.auth as auth

@require_safe
def home(request):
    return render(request, "keys_home/home.html")

def logout(request):
    if request.user.is_authenticated:
        auth.logout(request)

    return redirect(reverse("home"))
